<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="../style/steps.css" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <title>Projektowanie testów</title>
</head>
<body>
<div class="rule-container">
    <div class="row">
        <div class="rule-number">4</div>
        <div class="rule-header">Projektowanie testów</div>
    </div>
    <div class="rule-text-animation-container">
        <div class="rule-text"><p>Podczas projektowania testów warunki testowe są przekształcane w przypadki testowe
            wysokiego poziomu, zbiory takich przypadków testowych oraz w inne testalia. W związku z tym, o ile
            analiza
            testów odpowiada na pytanie: „co należy przetestować”, o tyle projektowanie testów odpowiada na pytanie:
            „jak należy testować”.</p>
            <p>Główne czynności wykonywane w ramach projektowania testów to:</p>
            <ul>
                <li>projektowanie przypadków testowych i zbiorów przypadków testowych oraz określenie ich
                    priorytetów;
                </li>
                <li>identyfikowanie danych testowych niezbędnych do obsługi warunków testowych i przypadków
                    testowych;
                </li>
                <li>projektowanie środowiska testowego oraz zidentyfikowanie wszelkich niezbędnych narzędzi i
                    elementów
                    infrastruktury;
                </li>
                <li>tworzenie możliwości dwukierunkowego śledzenia powiązań między podstawą testów, warunkami
                    testowymi,
                    przypadkami testowymi i procedurami testowymi.
                </li>
            </ul>
            <p>Rozwinięcie warunków testowych w przypadki testowe i zbiory przypadków testowych na etapie
                projektowania
                testów, wymaga często użycia technik testowania.</p>
            <p>Tak jak w przypadku analizy testów, projektowanie testów może również skutkować identyfikacją
                podobnych
                typów defektów w podstawie testów, co jest ważną potencjalną korzyścią.</p>
        </div>
    </div>
</div>
</body>
</html>
